Bug 1448459 - [RFE] yum timeout and retries should be configurable in kickstart file
Summary: [RFE] yum timeout and retries should be configurable in kickstart file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 7.5
Assignee: Vendula Poncova
QA Contact: Release Test Team
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks: 1420851 1478303 1482912
TreeView+ depends on / blocked
 
Reported: 2017-05-05 13:06 UTC by daniel
Modified: 2018-04-10 08:47 UTC (History)
14 users (show)

Fixed In Version: anaconda-21.48.22.127-1
Doc Type: Enhancement
Doc Text:
New options for Kickstart "%packages" allow configuring *Yum* timeout and number of retries This update adds two new options for the "%packages" section in Kickstart files: * "--timeout=X" - sets the *Yum* timeout to `X` seconds. Defaults to 30. * "--retries=Y" - sets the number of *Yum* retries to `Y`. Defaults to 10. Note that if you use multiple "%packages" sections during the installation, options set on the section which appears last will be used for every section. If the last section has neither of these options set, every "%packages" section in the Kickstart file will use the default values. These new options may help when performing a large number parallel installations from a single package source at once, when package download speed is limited by disk read or network speeds. The new options only affect the system during installation and have no effect on *Yum* configuration on the installed system.
Clone Of:
: 1482912 1488427 (view as bug list)
Environment:
Last Closed: 2018-04-10 08:45:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0671 None None None 2018-04-10 08:47:04 UTC

Description daniel 2017-05-05 13:06:33 UTC
1. Proposed title of this feature request
[RFE] yum timeout and retries should be configurable in kickstart file


3. What is the nature and description of the request?
kickstart file should have a section twhich makes it possible to set at least retries and timeout for yum installed during installation.



4. Why does the customer need this? (List the business requirements here)
When running many parallel installtions from satellite one can reach a point at which satellite is too slow and is no longer delivering content in time and installtiona starts failing after maximum timeout and retries are exeeded. Reaching this state when patching can be avoided by increasing timeout and retries but this is currently not possible during installation even if a pre script is used setting the values it is overwritten by anaconda prior installation starts. So in order to be able to kick off and run many parallel installtions at once it would be good to be able to set suitable values in kickstart file.


5. How would the customer like to achieve this? (List the functional requirements here)
Introduce a yum section in kickstart file making it possible to at least set retries and timeout value for yum appropriate to customers needs



6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
introduce as listed in 5 and kick off a lot of parallel installations and see if at least some of them fail with default settings. After that try again with changed values and check installations are slow but succeed in the end.



7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
Could not find any 



8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
no, the sooner the better 



9. Is the sales team involved in this request and do they have any additional input?
no



10. List any affected packages or components.
anaconda



11. Would the customer be able to assist in testing this functionality if implemented?
sure

Comment 2 Vendula Poncova 2017-09-01 13:59:01 UTC
Hello,
we have implemented --timeout and --retries options for the %packages section in a kickstart file. These options are written to the yum configuration file and they are not used in any other way for now. However, we are not sure if it will fix all mentioned problems. Could the customer test the updates image and provide logs from failing installations, if there are any?

A boot option for RHEL 7.4 installation:
inst.updates=https://vponcova.fedorapeople.org/rhel7_yum_updates.img

Kickstart options for setting yum's timeout and retries:
%packages --timeout=30 --retries=10
...
%end

Thanks,
Vendy

Comment 4 Vendula Poncova 2017-10-05 12:46:10 UTC
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1208

Comment 18 errata-xmlrpc 2018-04-10 08:45:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0671


Note You need to log in before you can comment on or make changes to this bug.